# Maneuver Node Controller
 Provides an interface to finely tune maneuver nodes. Open the GUI from the app bar tray or with ALT + N when in flight.
 
![Maneuver Node Controller Screenshot](https://raw.githubusercontent.com/schlosrat/ManeuverNodeController/main/media/MNC-Banner1.png)

## Compatibility
* Tested with Kerbal Space Program 2 v0.2.0, SpaceWarp 1.8.1, and UITK For KSP2 2.4.2
* Requires [SpaceWarp 1.8.1+](https://spacedock.info/mod/3277/Space%20Warp%20+%20BepInEx)
* Requires [UITK for KSP 2 2.4.2+](https://spacedock.info/mod/3363/UITK%20for%20KSP%202)
* Requires [Node Manager 0.7.1+](https://spacedock.info/mod/3366/Node%20Manager)

# Installation Instructions
## CKAN
[CKAN](https://github.com/KSP-CKAN/CKAN) is the recommended way to install this mod. For instructions on how to install and use CKAN, see [this page](https://github.com/KSP-CKAN/CKAN/wiki/User-guide).
## Manual Installation
1. Download and extract BepInEx mod loader with SpaceWarp (see link above) into your game folder and run the game, then close it. If you've done this before, you can skip this step. If you've installed the game via Steam, then this is probably here: `C:\Program Files (x86)\Steam\steamapps\common\Kerbal Space Program 2`. If you complete this step correctly you'll have a **BepInEx** subfolder in that directory along with the following files (in addition to what was there before): **changelog.txt, doorstop_config.ini, winhttp.dll**
2. Install UITK for KSP 2 (see link above). From the downloaded zip file, copy the `BepInEx` folder on top of your game's install folder. If done correctly, you should have the following folder structure within your KSP2 game folder: `...\Kerbal Space Program 2\BepInEx\plugins\UitkForKsp2`.
3. Install Node Manager (see link above). From the downloaded zip file, copy the `BepInEx` folder on top of your game's install folder. If done correctly, you should have the following folder structure within your KSP2 game folder: `...\Kerbal Space Program 2\BepInEx\plugins\node_manager`.
4. Download and extract this mod into the game folder. From the downloaded zip file, copy the `BepInEx` folder on top of your game's install folder. If done correctly, you should have the following folder structure within your KSP2 game folder: `...\Kerbal Space Program 2\BepInEx\plugins\maneuver_node_controller`.

# Features
## Post-Node Event Lookahead
[![Watch the video](https://img.youtube.com/vi/Y8UYwdgtOhE/default.jpg)](https://youtu.be/Y8UYwdgtOhE)

# License
Maneuver Node Controller and its originally authored code are distributed under the CC BY-SA 4.0 license.
Some dependencies, including MechJebLib, are dually licensed under the GNU General Public License, Version 2, and MIT License. Consult the top-level comment of these files for more information.
* https://creativecommons.org/licenses/by-sa/4.0/
* https://www.gnu.org/licenses/old-licenses/gpl-2.0.en.html
* https://opensource.org/license/mit/

# Attribution
Maneuver Node Controller was created and published up to version 0.04 by [XYZ3211](https://github.com/XYZ3211).

Mod development and publishing has been taken over by [schlosrat](https://github.com/schlosrat) since version 0.7.1.

Version 0.8.0 features contributions by [highfly1000](https://github.com/highfly1000).